
	IF EXISTS(SELECT TOP 1 1  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LCF_LX_PAIS' AND COLUMN_NAME = 'LX_STATUS_REGISTRO')
	BEGIN
	IF EXISTS(SELECT TOP 1 1  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LCF_LX_PAIS' AND COLUMN_NAME = 'LX_STATUS_REGISTRO' and COLUMN_DEFAULT is null)
		BEGIN
			EXEC('ALTER TABLE [dbo].[LCF_LX_PAIS] ADD  CONSTRAINT [DF_LX_STATUS_REGISTRO]  DEFAULT ((1)) FOR [LX_STATUS_REGISTRO]')
		END
	END
GO

IF EXISTS(SELECT *  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SERIES_NF' AND COLUMN_NAME = 'SEQUENCIAL' and CHARACTER_MAXIMUM_LENGTH <15)
	BEGIN
		EXEC('ALTER TABLE [dbo].[SERIES_NF] ALTER COLUMN [SEQUENCIAL] [varchar](15) NULL')
	END
	
GO

IF EXISTS(SELECT *  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SERIES_NF' AND COLUMN_NAME = 'COD_SERIE_SINTEGRA' and CHARACTER_MAXIMUM_LENGTH <6)
	BEGIN
		EXEC('ALTER TABLE [dbo].[SERIES_NF] ALTER COLUMN [COD_SERIE_SINTEGRA] [varchar](6) NULL')
	END
	
GO

IF EXISTS(SELECT TOP 1 1  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LCF_LX_UF' AND COLUMN_NAME = 'LX_STATUS_REGISTRO')
	BEGIN
	IF EXISTS(SELECT TOP 1 1  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LCF_LX_UF' AND COLUMN_NAME = 'LX_STATUS_REGISTRO' and COLUMN_DEFAULT is null)
		BEGIN
			EXEC('ALTER TABLE [dbo].[LCF_LX_UF] ADD  CONSTRAINT [DF_UF_LX_STATUS_REGISTRO]  DEFAULT ((1)) FOR [LX_STATUS_REGISTRO]')
		END
	END
GO

IF OBJECT_ID('UNICO_VITRINE_PEDIDO') IS NULL
	BEGIN
		CREATE TABLE UNICO_VITRINE_PEDIDO
			(
				ID_PEDIDO INT IDENTITY(1, 1) NOT NULL, 
				CODIGO_FILIAL CHAR(6) NOT NULL, 
				TICKET CHAR(8) NOT NULL, 
				DATA_VENDA DATETIME NOT NULL, 
				PEDIDO VARCHAR(50) NOT NULL, 
				CODIGO_CLIENTE VARCHAR(14) NULL, 
				NSU VARCHAR(16) NULL, 
				VALOR_ORIGINAL_PEDIDO NUMERIC(9, 2) NOT NULL, 
				DESCONTO_LOJA NUMERIC(9, 2) NOT NULL, 
				CONFIRMADO BIT NOT NULL,
				CANCELADO BIT NOT NULL, 
				FRETE NUMERIC(9, 2) NULL,
			    CONSTRAINT PK_UNICO_VITRINE_PEDIDO PRIMARY KEY CLUSTERED (ID_PEDIDO)
			)
	END
GO
		
IF OBJECT_ID('UNICO_VITRINE_PEDIDO_ITEM') IS NULL
	BEGIN	
		CREATE TABLE UNICO_VITRINE_PEDIDO_ITEM
				(	ID_PEDIDO_ITEM INT IDENTITY(1, 1)NOT NULL, 
					ID_PEDIDO INT NOT NULL, 
					CODIGO_BARRA VARCHAR(25) NOT NULL, 
					QTDE INT NOT NULL, 
					PRECO_UNITARIO NUMERIC(9, 2) NOT NULL, 
					VENDEDOR CHAR(4) NULL,
					DESCONTO NUMERIC(9, 2) NULL,
					CONSTRAINT PK_UNICO_VITRINE_PEDIDO_ITEM PRIMARY KEY CLUSTERED (ID_PEDIDO_ITEM), 
					FOREIGN KEY (ID_PEDIDO) REFERENCES UNICO_VITRINE_PEDIDO (ID_PEDIDO) ON DELETE CASCADE 			
		)
	END
GO

IF NOT EXISTS(SELECT TOP 1 1  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'UNICO_VITRINE_PEDIDO_ITEM' AND COLUMN_NAME = 'VENDEDOR')
	BEGIN
		ALTER TABLE [dbo].[UNICO_VITRINE_PEDIDO_ITEM] ADD [VENDEDOR] CHAR(4) NULL
	END
GO

IF NOT EXISTS(SELECT TOP 1 1  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'UNICO_VITRINE_PEDIDO_ITEM' AND COLUMN_NAME = 'DESCONTO')
	BEGIN
			ALTER TABLE [dbo].[UNICO_VITRINE_PEDIDO_ITEM] ADD [DESCONTO] NUMERIC(9, 2) NULL
	END
GO

IF NOT EXISTS(SELECT TOP 1 1  FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'UNICO_VITRINE_PEDIDO' AND COLUMN_NAME = 'FRETE')
	BEGIN
		ALTER TABLE [dbo].[UNICO_VITRINE_PEDIDO] ADD [FRETE] NUMERIC(9, 2) NULL
	END
GO

IF NOT EXISTS(SELECT TOP 1 1 FROM sys.tables A INNER JOIN sys.columns B ON A.Object_ID = B.Object_ID AND A.Name = 'TABELA_ALIQUOTA_IMPOSTO_ITEM' AND COLUMNPROPERTY(A.Object_ID, B.Name, 'IsIdentity') = 1)
BEGIN
begin try 

	BEGIN TRANSACTION
	CREATE TABLE dbo.Tmp_TABELA_ALIQUOTA_IMPOSTO_ITEM
					(
					ID_IMPOSTO_ITEM int NOT NULL IDENTITY (1, 1),
					UF char(2) NOT NULL,
					NCM_NBS char(10) NOT NULL,
					EXCESSAO_FISCAL_TABELA smallint NOT NULL,
					TABELA smallint NOT NULL,
					ALIQNAC_FEDERAL numeric(5, 2) NOT NULL,
					ALIQIMP_FEDERAL numeric(5, 2) NOT NULL,
					ALIQ_MUNICIPAL numeric(5, 2) NOT NULL,
					ALIQ_ESTADUAL numeric(5, 2) NOT NULL,
					INICIO_VIGENCIA smalldatetime NULL,
					FIM_VIGENCIA smalldatetime NULL,
					CHAVE varchar(6) NULL,
					VERSAO varchar(6) NOT NULL,
					FONTE varchar(34) NULL,
					DATA_PARA_TRANSFERENCIA datetime NULL,
					CONSTRAINT XPKTmp_TABELA_ALIQUOTA_IMPOSTO_ITEM PRIMARY KEY NONCLUSTERED (NCM_NBS, UF,VERSAO,EXCESSAO_FISCAL_TABELA),
					CONSTRAINT XAKTmp_TABELA_ALIQUOTA_IMPOSTO_ITEM UNIQUE CLUSTERED (ID_IMPOSTO_ITEM))  


	SET IDENTITY_INSERT dbo.Tmp_TABELA_ALIQUOTA_IMPOSTO_ITEM ON
	IF EXISTS(SELECT * FROM dbo.TABELA_ALIQUOTA_IMPOSTO_ITEM)
		EXEC('	INSERT INTO dbo.Tmp_TABELA_ALIQUOTA_IMPOSTO_ITEM (ID_IMPOSTO_ITEM, UF, NCM_NBS, EXCESSAO_FISCAL_TABELA, TABELA, ALIQNAC_FEDERAL, ALIQIMP_FEDERAL, ALIQ_MUNICIPAL, ALIQ_ESTADUAL, INICIO_VIGENCIA, FIM_VIGENCIA, CHAVE, VERSAO, FONTE, DATA_PARA_TRANSFERENCIA)
				SELECT ID_IMPOSTO_ITEM, UF, NCM_NBS, EXCESSAO_FISCAL_TABELA, TABELA, ALIQNAC_FEDERAL, ALIQIMP_FEDERAL, ALIQ_MUNICIPAL, ALIQ_ESTADUAL, INICIO_VIGENCIA, FIM_VIGENCIA, CHAVE, VERSAO, FONTE, DATA_PARA_TRANSFERENCIA FROM dbo.TABELA_ALIQUOTA_IMPOSTO_ITEM WITH (HOLDLOCK TABLOCKX)')
	SET IDENTITY_INSERT dbo.Tmp_TABELA_ALIQUOTA_IMPOSTO_ITEM OFF


	DROP TABLE dbo.TABELA_ALIQUOTA_IMPOSTO_ITEM

	EXECUTE sp_rename N'dbo.Tmp_TABELA_ALIQUOTA_IMPOSTO_ITEM', N'TABELA_ALIQUOTA_IMPOSTO_ITEM', 'OBJECT'
	EXECUTE sp_rename N'XPKTmp_TABELA_ALIQUOTA_IMPOSTO_ITEM', N'XPKTABELA_ALIQUOTA_IMPOSTO_ITEM', 'OBJECT'
	EXECUTE sp_rename N'dbo.XAKTmp_TABELA_ALIQUOTA_IMPOSTO_ITEM', N'XAKTABELA_ALIQUOTA_IMPOSTO_ITEM', 'OBJECT'

	commit tran

end try
begin catch

	declare @ErrorMessage  nvarchar(4000), @ErrorSeverity int, @ErrorState int

	select	@ErrorMessage = error_message(), @ErrorSeverity = error_severity(),	@ErrorState = error_state()
		
	if @@trancount > 0 rollback tran
		
	raiserror (@ErrorMessage, @ErrorSeverity, @ErrorState)

end catch

END
GO

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PGTO' AND COLUMN_NAME = 'NUMERO_NF_ORDEM')
begin
	ALTER TABLE DBO.LOJA_VENDA_PGTO ADD NUMERO_NF_ORDEM CHAR(15) NULL
end
go

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PGTO' AND COLUMN_NAME = 'SERIE_NF_ORDEM')
begin
	ALTER TABLE DBO.LOJA_VENDA_PGTO ADD SERIE_NF_ORDEM CHAR(6) NULL
END
go


/*
-----------------------------------------------------------------------------------------------------------------------------------------------------
--	ALTERAÇÕES DE BANCO PARA A VERSÃO 3.1.10.6
-----------------------------------------------------------------------------------------------------------------------------------------------------
*/

IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS 
   WHERE TABLE_NAME = 'LOJA_PEDIDO' AND COLUMN_NAME = 'CHANNEL_ID' )
BEGIN
	ALTER TABLE [dbo].[LOJA_PEDIDO] ADD CHANNEL_ID VARCHAR(100)
END
go

IF NOT EXISTS (SELECT 1 FROM   INFORMATION_SCHEMA.COLUMNS
     WHERE  TABLE_NAME = 'LOJA_VENDA_TROCA_OMS' AND COLUMN_NAME = 'QTDE_DEVOLVIDA')
BEGIN
  ALTER TABLE [dbo].[LOJA_VENDA_TROCA_OMS]  ADD QTDE_DEVOLVIDA INT NULL
END
go

IF NOT EXISTS (SELECT 1 FROM   INFORMATION_SCHEMA.COLUMNS
     WHERE  TABLE_NAME = 'LOJA_VENDA_TROCA_OMS' AND COLUMN_NAME = 'QTDE_AVARIA')
BEGIN
  ALTER TABLE [dbo].[LOJA_VENDA_TROCA_OMS] ADD QTDE_AVARIA INT NULL
END
go
       
IF NOT EXISTS (SELECT 1 FROM   INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'LOJA_VENDA_TROCA_OMS' AND COLUMN_NAME = 'QTDE_RECUSADA')
BEGIN
  ALTER TABLE [dbo].[LOJA_VENDA_TROCA_OMS] ADD QTDE_RECUSADA INT NULL
END
go
       
IF NOT EXISTS (SELECT 1 FROM   INFORMATION_SCHEMA.COLUMNS
      WHERE  TABLE_NAME = 'LOJA_VENDA_TROCA_OMS' AND COLUMN_NAME = 'QTDE_NAO_DEVOLVIDA')
BEGIN
  ALTER TABLE [dbo].[LOJA_VENDA_TROCA_OMS] ADD QTDE_NAO_DEVOLVIDA INT NULL
END
go
       
 IF NOT EXISTS (SELECT 1 FROM   INFORMATION_SCHEMA.COLUMNS
      WHERE  TABLE_NAME = 'LOJA_VENDA_TROCA_OMS' AND COLUMN_NAME = 'ID_EXCEPTION')
BEGIN
  ALTER TABLE [dbo].[LOJA_VENDA_TROCA_OMS] ADD ID_EXCEPTION VARCHAR(20) NULL
END
go
       
IF NOT EXISTS (SELECT 1  FROM   INFORMATION_SCHEMA.COLUMNS
      WHERE  TABLE_NAME = 'LOJA_VENDA_TROCA_OMS' AND COLUMN_NAME = 'INDICA_DEVOLUCAO')
BEGIN
  ALTER TABLE [dbo].[LOJA_VENDA_TROCA_OMS] ADD INDICA_DEVOLUCAO BIT NULL
END
go
       
/*
-----------------------------------------------------------------------------------------------------------------------------------------------------
--	ALTERAÇÕES DE BANCO PARA A VERSÃO 3.1.10.12
-----------------------------------------------------------------------------------------------------------------------------------------------------
*/

IF EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'AREZZO_XML_COMPRAS_LP' )
	AND NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'AREZZO_XML_COMPRAS_LP' AND COLUMN_NAME = 'CODIGO_FILIAL')
BEGIN
	ALTER TABLE AREZZO_XML_COMPRAS_LP ADD CODIGO_FILIAL CHAR(06) NULL
END
GO

IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CLASSIF_FISCAL_IMPOSTO' AND COLUMN_NAME = 'INATIVO') 
BEGIN
	ALTER TABLE [dbo].[CLASSIF_FISCAL_IMPOSTO] ADD INATIVO BIT NULL DEFAULT (0)
END
GO

/*
-----------------------------------------------------------------------------------------------------------------------------------------------------
--	ALTERAÇÕES DE BANCO PARA A VERSÃO 3.1.10.14
-----------------------------------------------------------------------------------------------------------------------------------------------------
*/
IF NOT EXISTS(SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_INTERMEDIADORES_TRANSACAO')
BEGIN
	CREATE TABLE [dbo].[LOJA_INTERMEDIADORES_TRANSACAO](
		   [ID_INTERMEDIADOR] [int] NOT NULL,
		   [CNPJ] char(14) NOT NULL,
		   [NOME_FANTASIA] VARCHAR(40) NOT NULL,
		   [INATIVO] BIT DEFAULT 0 NOT NULl ,
		   [ENVIA_LOJA_VAREJO] [bit] DEFAULT 0 NOT NULL,
		   [DATA_PARA_TRANSFERENCIA]  DATETIME,
	CONSTRAINT [XPKLOJA_INTERMEDIADORES_TRANSACAO] PRIMARY KEY CLUSTERED 
	(
		   [ID_INTERMEDIADOR] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY],
    CONSTRAINT [XAKLOJA_INTERMEDIADORES_TRANSACAO] UNIQUE NONCLUSTERED 
    (
		        [CNPJ] ASC
    )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
END
GO

IF NOT EXISTS( SELECT 1 FROM SYS.sysobjects WHERE NAME = 'LOJA_INTERMEDIADORES_TRANSACAO_FILIAL' )
BEGIN
	CREATE TABLE [dbo].[LOJA_INTERMEDIADORES_TRANSACAO_FILIAL](
				[ID_INTERMEDIADOR] [int] NOT NULL,
				[COD_FILIAL] [char](6) NOT NULL,
				[IDCADINTTRAN] [varchar](60) NOT NULL,
				[INATIVO] [bit] DEFAULT 0 NOT NULL,
				[CODIGO_FILIAL] [char](6) NOT NULL,
	CONSTRAINT [XPKLOJA_INTERMEDIADORES_TRANSACAO_FILIAL] PRIMARY KEY CLUSTERED 
    (
                [ID_INTERMEDIADOR] ASC, [COD_FILIAL] ASC, [IDCADINTTRAN] ASC
    )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
    CONSTRAINT [XAKLOJA_INTERMEDIADORES_TRANSACAO_FILIAL] UNIQUE NONCLUSTERED 
	(
			[IDCADINTTRAN] ASC,
			[COD_FILIAL] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [XFK10001_LOJA_INTERMEDIADORES_TRANSACAO_FILIAL] FOREIGN KEY
	(
		[ID_INTERMEDIADOR]
	)
	REFERENCES [dbo].[LOJA_INTERMEDIADORES_TRANSACAO] ([ID_INTERMEDIADOR]) ON DELETE CASCADE	
	) ON [PRIMARY]
END
GO

/*
-----------------------------------------------------------------------------------------------------------------------------------------------------
--	ALTERAÇÕES DE BANCO PARA A VERSÃO 3.1.10.16
-----------------------------------------------------------------------------------------------------------------------------------------------------
*/

IF NOT EXISTS( SELECT 1 FROM SYS.sysobjects WHERE NAME = 'LGPD_FINALIDADE' )
BEGIN
	CREATE TABLE [dbo].[LGPD_FINALIDADE](
			[ID_FINALIDADE] [int]  NOT NULL,
			[ID_AMBIENTE] [int] NOT NULL,
			[CODIGO] [varchar](40) NOT NULL,
			[DESCRICAO]	VARCHAR(256) NOT NULL,
			[ID_SERVER]	INT,
			[INATIVO]	BIT NOT NULL,	
			[DATA_PARA_TRANSFERENCIA]	DATETIME,
		CONSTRAINT [XPKRELGPD_FINALIDADE] PRIMARY KEY CLUSTERED 
		(
		[ID_FINALIDADE] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS=ON,ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY]
		) ON [PRIMARY]								
END				
GO

IF NOT EXISTS( SELECT 1 FROM SYS.sysobjects WHERE NAME = 'CLIENTE_VAR_FINALIDADE' )
BEGIN
	CREATE TABLE [dbo].[CLIENTE_VAR_FINALIDADE](
		[CODIGO_CLIENTE] [varchar](14) NOT NULL,
		[ID_FINALIDADE] [int]  NOT NULL,
		[CONSENTIDO] [BIT] NOT NULL,
		[CODIGO_FILIAL] [varchar](6) NOT NULL,
		[DATA_PARA_TRANSFERENCIA]	DATETIME,
	 CONSTRAINT [XPKCLIENTE_VAR_FINALIDADE] PRIMARY KEY CLUSTERED 
	(
		[CODIGO_CLIENTE]  ASC, [ID_FINALIDADE] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY]
	) ON [PRIMARY]

	ALTER TABLE [dbo].[CLIENTE_VAR_FINALIDADE]  WITH NOCHECK ADD  CONSTRAINT [XFK10001_CLIENTE_VAR_FINALIDADE] FOREIGN KEY([ID_FINALIDADE])
	REFERENCES [dbo].[LGPD_FINALIDADE] ([ID_FINALIDADE])

	ALTER TABLE [dbo].[CLIENTE_VAR_FINALIDADE] CHECK CONSTRAINT [XFK10001_CLIENTE_VAR_FINALIDADE]

	ALTER TABLE [dbo].[CLIENTE_VAR_FINALIDADE]  WITH NOCHECK ADD  CONSTRAINT [XFK10002_CLIENTE_VAR_FINALIDADE] FOREIGN KEY([CODIGO_CLIENTE])
	REFERENCES [dbo].[CLIENTES_VAREJO] ([CODIGO_CLIENTE])
	
	ALTER TABLE [dbo].[CLIENTE_VAR_FINALIDADE] CHECK CONSTRAINT [XFK10002_CLIENTE_VAR_FINALIDADE]			
END
GO

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS 
	WHERE TABLE_NAME = 'CLIENTE_VAR_FINALIDADE' AND COLUMN_NAME = 'CODIGO_FILIAL')
BEGIN
	EXEC('ALTER TABLE CLIENTE_VAR_FINALIDADE ADD CODIGO_FILIAL varchar(6) NULL')
	EXEC('UPDATE CLIENTE_VAR_FINALIDADE SET
			CODIGO_FILIAL = (SELECT TOP 1 CODIGO_FILIAL FROM LOJA_VENDA ORDER BY DATA_DIGITACAO DESC)
		  WHERE CODIGO_FILIAL IS NULL')
	EXEC('ALTER TABLE CLIENTE_VAR_FINALIDADE ALTER COLUMN CODIGO_FILIAL varchar(6) not NULL')
END

--POSSP-8030 - Erro na execução do Script 10
if EXISTS(SELECT * FROM SYS.sysobjects WHERE NAME = 'LXI_LGPD_SOLICITACAO_RECEBIDA')
BEGIN
	DROP Trigger dbo.LXI_LGPD_SOLICITACAO_RECEBIDA
END

EXEC('
	IF NOT EXISTS(SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = ''FILIAIS'' AND COLUMN_NAME = ''EXCLUI_ICMS_PIS_COFINS_XML'')
	BEGIN
			ALTER TABLE FILIAIS ADD EXCLUI_ICMS_PIS_COFINS_XML BIT NULL
	END
')

EXEC('
	IF NOT EXISTS(SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = ''FILIAIS'' AND COLUMN_NAME = ''DATA_INICIO_EXCLUSAO_ICMS_PIS_COFINS_XML'')
	BEGIN
			ALTER TABLE FILIAIS ADD DATA_INICIO_EXCLUSAO_ICMS_PIS_COFINS_XML DATETIME NULL
	END
')

exec('
	IF NOT EXISTS(SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = ''FILIAIS_MODELOS'')
	BEGIN
		CREATE TABLE [dbo].[FILIAIS_MODELOS](
			[FILIAL] [varchar](25) NOT NULL,
			[NUMERO_MODELO_FISCAL] [varchar](3) NOT NULL,
		 CONSTRAINT [XFKFILIAIS_MODELOS] FOREIGN KEY([FILIAL]) REFERENCES [dbo].[FILIAIS] ([FILIAL]) ON DELETE CASCADE,
		 CONSTRAINT [XPKFILIAIS_MODELOS] PRIMARY KEY NONCLUSTERED 
		(
			[FILIAL] ASC,
			[NUMERO_MODELO_FISCAL] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY]
		) ON [PRIMARY]
	END
')

EXEC('
	IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = ''PRODUTOS_BARRA'' AND COLUMN_NAME = ''CODIGO_BARRA_PADRAO'')
	BEGIN
		ALTER TABLE [dbo].[PRODUTOS_BARRA] ADD [CODIGO_BARRA_PADRAO] BIT
	END
')

EXEC('
if not exists( select 1 from INFORMATION_SCHEMA.COLUMNS where TABLE_NAME = ''CTB_LX_NATUREZAS_OPERACAO'' 
	AND COLUMN_NAME = ''OBS'' and DATA_TYPE = ''varchar'' and CHARACTER_MAXIMUM_LENGTH = -1 )
BEGIN
		ALTER TABLE CTB_LX_NATUREZAS_OPERACAO ALTER COLUMN OBS VARCHAR(max)
END
')

EXEC('if not exists( select 1 from INFORMATION_SCHEMA.COLUMNS where TABLE_NAME = ''PRODUTOS'' AND COLUMN_NAME = ''LARGURA'' )
BEGIN
		ALTER TABLE PRODUTOS ADD LARGURA numeric(10,5)
END'
)

EXEC('if not exists( select 1 from INFORMATION_SCHEMA.COLUMNS where TABLE_NAME = ''PRODUTOS'' AND COLUMN_NAME = ''ALTURA'' )
BEGIN
		ALTER TABLE PRODUTOS ADD ALTURA numeric(14,2)
END
')


EXEC('if not exists( select 1 from INFORMATION_SCHEMA.COLUMNS where TABLE_NAME = ''PRODUTOS'' AND COLUMN_NAME = ''COMPRIMENTO'' )
BEGIN
		ALTER TABLE PRODUTOS ADD COMPRIMENTO numeric(14,2)
END')

EXEC('IF EXISTS (SELECT 1 FROM SYS.OBJECTS WHERE NAME = ''LX_GERA_DADOS_LOJA'')
	BEGIN
		DROP PROCEDURE [DBO].[LX_GERA_DADOS_LOJA] 
	END
	')

	EXEC(' CREATE PROCEDURE [dbo].[LX_GERA_DADOS_LOJA] @CODIGO_FILIAL CHAR(6), 
													   @DATA_VENDA    DATETIME, 
													   @ORIGEM        CHAR(3) 
			AS 
			  BEGIN 
				  SET NOCOUNT ON 

				  DECLARE @TOTALIZADOR_SAT DECIMAL 
				  DECLARE @TOTALIZADOR_NFE DECIMAL 
				  DECLARE @TOTALIZADOR_NFCE DECIMAL 
				  DECLARE @TOTALIZADOR_CUPOM DECIMAL 
				  DECLARE @QTDE_NFE INT 
				  DECLARE @QTDE_NFCE INT 
				  DECLARE @FILIAL VARCHAR(25) 
				  DECLARE @QTDE_ABERTURA_CAIXA INT
				  DECLARE @QTDE_FECHAMENTO_CAIXA INT
				  DECLARE @QTDE_LANCAMENTO_CAIXA INT
				  DECLARE @TOTAL_ENTRADA_CAIXA DECIMAL 
				  DECLARE @TOTAL_SAIDA_CAIXA DECIMAL
				  DECLARE @TOTAL_CANCELADO_CAIXA DECIMAL 
				  DECLARE @QTDE_IMPOSTO_NF INT
				  DECLARE @QTDE_IMPOSTO_SAT	INT
				  DECLARE @QTDE_VENDA_FINALIZADA INT 
				  DECLARE @QTDE_VENDA_NAO_FINALIZADA INT 
				  DECLARE @QTDE_VENDA_CANCELADA INT 
	  

				  SELECT @FILIAL = MAX(LTRIM(RTRIM(LOJAS_VAREJO.FILIAL)))
				  FROM LOJAS_VAREJO JOIN (SELECT NOME_CLIFOR AS FILIAL FROM CADASTRO_CLI_FOR) AS CAD_CLI ON  
				  (LOJAS_VAREJO.FILIAL = CAD_CLI.FILIAL)  JOIN (SELECT FILIAL AS FILIAL_ADD FROM FILIAIS) FILIAIS 
				  ON (FILIAIS.FILIAL_ADD=LOJAS_VAREJO.FILIAL) 
				  WHERE  LOJAS_VAREJO.CODIGO_FILIAL = @CODIGO_FILIAL

				  SELECT @DATA_VENDA = CONVERT(DATETIME, @DATA_VENDA, 103) 

					CREATE TABLE #CAIXA
					( 
					   CODIGO_FILIAL CHAR(6) COLLATE DATABASE_DEFAULT, 
					   DATA_VENDA    DATETIME,
					   TIPO_LANCAMENTO_CAIXA CHAR(2) COLLATE DATABASE_DEFAULT,
					   ENTRADA_CAIXA DECIMAL,
					   SAIDA_CAIXA DECIMAL,
					   VALOR_CANCELADO DECIMAL
		   
					) 

					INSERT INTO #CAIXA
					SELECT CODIGO_FILIAL, 
						   DATA,
						   TIPO_LANCAMENTO_CAIXA,
						   ENTRADA_CAIXA,
						   SAIDA_CAIXA,
						   VALOR_CANCELADO
							FROM LOJA_CAIXA_LANCAMENTOS			   	
						   where CODIGO_FILIAL = @CODIGO_FILIAL and DATA = @DATA_VENDA
		
					SELECT @TOTAL_ENTRADA_CAIXA = SUM(ISNULL(ENTRADA_CAIXA, 0)), 
					@TOTAL_SAIDA_CAIXA = SUM(ISNULL(SAIDA_CAIXA,0)),
					@TOTAL_CANCELADO_CAIXA = SUM(ISNULL(VALOR_CANCELADO,0)),
					@QTDE_LANCAMENTO_CAIXA = COUNT(*)  
					from #CAIXA
					where CODIGO_FILIAL = @CODIGO_FILIAL and DATA_VENDA = @DATA_VENDA

					select @QTDE_ABERTURA_CAIXA =  COUNT(*) from #CAIXA
					where TIPO_LANCAMENTO_CAIXA = ''00'' and CODIGO_FILIAL = @CODIGO_FILIAL and DATA_VENDA = @DATA_VENDA

					select @QTDE_FECHAMENTO_CAIXA = COUNT(*)  from #CAIXA
					where TIPO_LANCAMENTO_CAIXA = ''99'' and CODIGO_FILIAL = @CODIGO_FILIAL and DATA_VENDA = @DATA_VENDA

		

				  CREATE TABLE #RZ 
					( 
					   CODIGO_FILIAL CHAR(6) COLLATE DATABASE_DEFAULT, 
					   DATA_VENDA    DATETIME, 
					   QTDE_RZ       INT 
					) 

				  INSERT INTO #RZ 
				  SELECT CODIGO_FILIAL, 
						 DATA_FISCAL AS DATA_VENDA, 
						 COUNT(*)    AS QTDE_RZ 
				  FROM   LOJA_CONTROLE_FISCAL 
				  WHERE  DATA_FISCAL = @DATA_VENDA 
				  GROUP  BY CODIGO_FILIAL, 
							DATA_FISCAL


			CREATE TABLE #LJ_ETL_DADOS_MONITORIA(
				[CODIGO_FILIAL] [char](6)  COLLATE DATABASE_DEFAULT NOT NULL,
				[DATA_MOVIMENTO] [datetime] NOT NULL,
				[ORIGEM] [char](3)  COLLATE DATABASE_DEFAULT NOT NULL,
				[DATA_MONITORIA] [datetime] NULL,
				[FILIAL] [varchar](25)  COLLATE DATABASE_DEFAULT NULL,
				[QTDE_VENDAS_FIN] [int] NULL,
				[QTDE_VENDAS_NAO_FIN] [int] NULL,
				[QTDE_VENDAS_CANC] [int] NULL,
				[QTDE_VENDA_PROD] [int] NULL,
				[QTDE_VENDA_PROD_CANC] [int] NULL,
				[QTDE_ITENS_SAT] [int] NULL,
				[QTDE_ITENS_SAT_ITEM] [int] NULL,
				[TOTAL_SAT] [numeric](14, 2) NULL,
				[TOTAL_SAT_ITEM] [numeric](14, 2) NULL,
				[QTDE_LOJA_CF_SAT] [int] NULL,
				[QTDE_IMPOSTO_SAT] [int] NULL,
				[QTDE_ITENS_NF] [int] NULL,
				[QTDE_ITENS_NF_ITEM] [int] NULL,
				[TOTAL_NF] [numeric](14, 2) NULL,
				[TOTAL_NF_ITEM] [numeric](14, 2) NULL,
				[QTDE_LOJA_NOTA_FISCAL] [int] NULL,
				[QTDE_IMPOSTO_NF] [int] NULL,
				[TOTAL_VENDA] [numeric](14, 2) NULL,
				[TOTAL_PGTO] [numeric](14, 2) NULL,
				[TOTAL_PARCELAS] [numeric](14, 2) NULL,
				[TOTAL_TROCA] [numeric](14, 2) NULL,
				[QTDE_ITENS] [int] NULL,
				[QTDE_ITENS_CANC] [int] NULL,
				[QTDE_RESERVE] [int] NULL,
				[QTDE_PICKUP] [int] NULL,
				[QTDE_SHIP_FROM] [int] NULL,
				[QTDE_SHIP_TO] [int] NULL,
				[QTDE_SHOWROOMING] [int] NULL,
				[OMS_QTDE_ITEM_LOJA] [int] NULL,
				[OMS_FRETE] [numeric](14, 2) NULL,
				[QTDE_SAIDAS] [int] NULL,
				[QTDE_SAIDAS_PRODUTO] [int] NULL,
				[TOTAL_SAIDAS] [numeric](14, 2) NULL,
				[TOTAL_SAIDAS_PROD] [numeric](14, 2) NULL,
				[QTDE_ITENS_SAIDAS] [int] NULL,
				[QTDE_ITENS_SAIDAS_PRODUTO] [int] NULL,
				[QTDE_ENTRADAS] [int] NULL,
				[QTDE_ENTRADAS_PRODUTO] [int] NULL,
				[TOTAL_ENTRADAS] [numeric](14, 2) NULL,
				[TOTAL_ENTRADAS_PROD] [numeric](14, 2) NULL,
				[QTDE_ITENS_ENTRADAS] [int] NULL,
				[QTDE_ITENS_ENTRADAS_PRODUTO] [int] NULL,
				[NOTA_NAO_ENVIADA] [int] NULL,
				[AGUARDANDO_ENVIO] [int] NULL,
				[NOTA_REJ_LINX] [int] NULL,
				[AGUARDANDO_RETORNO] [int] NULL,
				[NOTA_REJ_SEFAZ] [int] NULL,
				[NOTA_APROVADA] [int] NULL,
				[AGUARDANDO_CANC] [int] NULL,
				[ERRO_NO_CANC] [int] NULL,
				[AGUARDANDO_INUTI] [int] NULL,
				[ERRO_NA_INUTI] [int] NULL,
				[NOTA_CANCELADA] [int] NULL,
				[NOTA_INUTILIZADA] [int] NULL,
				[NOTA_DENEGADA] [int] NULL,
				[TOTAL_ECF_ITEM] [numeric](14, 2) NULL,
				[TOTAL_ECF_ITEM_CANC] [numeric](14, 2) NULL,
				[QTDE_ECF_ITEM] [int] NULL,
				[QTDE_ECF_ITEM_CANC] [int] NULL,
				[QTDE_LJ_ECF_ITEM] [int] NULL,
				[QTDE_RZ] [int] NULL,
				[QTDE_ABERTURA_CAIXA] [int] NULL,
				[QTDE_FECHAMENTO_CAIXA] [int] NULL,
				[QTDE_LANCAMENTO_CAIXA] [int] NULL,
				[TOTAL_ENTRADA_CAIXA] [numeric](14, 2) NULL,
				[TOTAL_SAIDA_CAIXA] [numeric](14, 2) NULL,
				[TOTAL_CANCELADO_CAIXA] [numeric](14, 2) NULL
			 CONSTRAINT [PKK_LJ_ETL_DADOS_MONITORIA] PRIMARY KEY CLUSTERED 
			(
				[CODIGO_FILIAL] ASC,
				[DATA_MOVIMENTO] ASC,
				[ORIGEM] ASC
			)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
			) ON [PRIMARY]


				  CREATE TABLE #NF 
					( 
					   CODIGO_FILIAL  CHAR(6) COLLATE DATABASE_DEFAULT, 
					   EMISSAO        DATETIME, 
					   NF_NUMERO      CHAR(15) COLLATE DATABASE_DEFAULT, 
					   SERIE_NF       CHAR(6) COLLATE DATABASE_DEFAULT, 
					   VALOR_TOTAL    NUMERIC(14, 2), 
					   STATUS_NFE     SMALLINT, 
					   LOG_STATUS_NFE SMALLINT, 
					   QTDE_TOTAL     INT, 
					) 

				  CREATE TABLE #NF_RESUMO 
					( 
					   TOTAL_NF              NUMERIC(14, 2), 
					   TOTAL_NF_ITEM         NUMERIC(14, 2), 
					   QTDE_ITENS_NF         INT, 
					   QTDE_ITENS_NF_ITEM    INT, 
					   CODIGO_FILIAL         CHAR(6) COLLATE DATABASE_DEFAULT, 
					   EMISSAO               DATETIME, 
					   QTDE_LOJA_NOTA_FISCAL INT,
					   QTDE_IMPOSTO_NF INT 
					) 

				  CREATE TABLE #SERIENF 
					( 
					   SERIE_NF      CHAR(16) COLLATE DATABASE_DEFAULT, 
					   ESPECIE_SERIE INT 
					) 

				  CREATE TABLE #VENDAPGTO 
					( 
					   CODIGO_FILIAL        CHAR(6) COLLATE DATABASE_DEFAULT, 
					   TICKET               CHAR(8) COLLATE DATABASE_DEFAULT, 
					   TERMINAL             CHAR(3) COLLATE DATABASE_DEFAULT, 
					   DATA_VENDA           DATETIME, 
					   LANCAMENTO_CAIXA     CHAR(7) COLLATE DATABASE_DEFAULT, 
					   VENDA_FINALIZADA     BIT, 
					   MOTIVO_CANCELAMENTO  SMALLINT, 
					   TOTAL_QTDE_CANCELADA INT, 
					   NUMERO_CUPOM_FISCAL  VARCHAR(9) COLLATE DATABASE_DEFAULT, 
					   VALOR_PAGO           NUMERIC(14, 2), 
					   TOTAL_VENDA          NUMERIC(14, 2), 
					   VALOR_TROCA          NUMERIC(14, 2), 
					   ID_EQUIPAMENTO       VARCHAR(20) COLLATE DATABASE_DEFAULT
					) 

				  CREATE TABLE #VENDAPRODUTO 
					( 
					   CODIGO_FILIAL        CHAR(6) COLLATE DATABASE_DEFAULT, 
					   DATA_VENDA           DATETIME, 
					   QTDE_VENDA_PROD      INT, 
					   QTDE_VENDA_PROD_CANC INT 
					) 

				  CREATE TABLE #SAT 
					( 
					   CODIGO_FILIAL       CHAR(6) COLLATE DATABASE_DEFAULT, 
					   EMISSAO             DATETIME, 
					   TOTAL_SAT           NUMERIC(14, 2), 
					   TOTAL_SAT_ITEM      NUMERIC(14, 2), 
					   QTDE_ITENS_SAT      INT, 
					   QTDE_ITENS_SAT_ITEM INT, 
					   QTDE_LOJA_CF_SAT    INT,
					   QTDE_IMPOSTO_SAT	   INT,	 
					) 

				  CREATE TABLE #OMS 
					( 
					   CODIGO_FILIAL    CHAR(6) COLLATE DATABASE_DEFAULT, 
					   DATA_VENDA       DATETIME, 
					   FRETE_OMS        NUMERIC(14, 2), 
					   QTDE_RESERVE     INT, 
					   QTDE_PICKUP      INT, 
					   QTDE_SHIP_FROM   INT, 
					   QTDE_SHIP_TO     INT, 
					   QTDE_SHOWROOMING INT, 
					   QTDE_ITEM_LOJA   INT 
					) 

				  INSERT INTO #NF 
				  SELECT CODIGO_FILIAL, 
						 CONVERT(DATETIME, EMISSAO, 103), 
						 NF_NUMERO, 
						 SERIE_NF, 
						 VALOR_TOTAL, 
						 STATUS_NFE, 
						 LOG_STATUS_NFE, 
						 QTDE_TOTAL 
				  FROM   LOJA_NOTA_FISCAL 
				  WHERE  EMISSAO = CONVERT(DATETIME, @DATA_VENDA, 103) 
						 AND CODIGO_FILIAL = @CODIGO_FILIAL 

				  INSERT INTO #SERIENF 
				  SELECT SERIE_NF, 
						 ESPECIE_SERIE 
				  FROM   SERIES_NF 

				  SELECT     @QTDE_IMPOSTO_NF  = COUNT(*) 
					FROM   #NF NF
						 LEFT JOIN LOJA_NOTA_FISCAL_IMPOSTO NF_IMPOSTO 
								ON NF.CODIGO_FILIAL = NF_IMPOSTO.CODIGO_FILIAL 
								   AND NF.NF_NUMERO = NF_IMPOSTO.NF_NUMERO 
								   AND NF.SERIE_NF = NF_IMPOSTO.SERIE_NF 
					
					WHERE  NF.CODIGO_FILIAL = @CODIGO_FILIAL
						 AND NF.EMISSAO = @DATA_VENDA
					GROUP  BY NF.CODIGO_FILIAL, 
							NF.EMISSAO 

				  INSERT INTO #NF_RESUMO 
				  SELECT SUM(NF.VALOR_TOTAL)     AS TOTAL_NF, 
						 SUM(NF_ITEM.VALOR_ITEM) AS TOTAL_NF_ITEM, 
						 SUM(NF.QTDE_TOTAL)      AS QTDE_ITENS_NF, 
						 SUM(NF_ITEM.QTDE_ITEM)  AS QTDE_ITENS_NF_ITEM, 
						 NF.CODIGO_FILIAL, 
						 NF.EMISSAO, 
						 COUNT(*)                AS QTDE_LOJA_NOTA_FISCAL,
						 @QTDE_IMPOSTO_NF        as QTDE_IMPOSTO_NF 
				  FROM   #NF NF 
						 LEFT JOIN LOJA_NOTA_FISCAL_ITEM NF_ITEM 
								ON NF.CODIGO_FILIAL = NF_ITEM.CODIGO_FILIAL 
								   AND NF.NF_NUMERO = NF_ITEM.NF_NUMERO 
								   AND NF.SERIE_NF = NF_ITEM.SERIE_NF 
				  WHERE  NF.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND NF.EMISSAO = @DATA_VENDA 
				  GROUP  BY NF.CODIGO_FILIAL, 
							NF.EMISSAO 
	 
		


				  INSERT INTO #VENDAPGTO 
				  SELECT PGTO.CODIGO_FILIAL, 
						 VENDA.TICKET, 
						 PGTO.TERMINAL, 
						 CONVERT(DATETIME, VENDA.DATA_VENDA, 103), 
						 PGTO.LANCAMENTO_CAIXA, 
						 PGTO.VENDA_FINALIZADA, 
						 VENDA.MOTIVO_CANCELAMENTO, 
						 VENDA.TOTAL_QTDE_CANCELADA, 
						 PGTO.NUMERO_CUPOM_FISCAL, 
						 VENDA.VALOR_PAGO, 
						 PGTO.TOTAL_VENDA, 
						 VENDA.VALOR_TROCA, 
						 PGTO.ID_EQUIPAMENTO 
				  FROM   LOJA_VENDA_PGTO PGTO 
						 JOIN LOJA_VENDA VENDA 
						   ON PGTO.CODIGO_FILIAL = VENDA.CODIGO_FILIAL 
							  AND PGTO.LANCAMENTO_CAIXA = VENDA.LANCAMENTO_CAIXA 
							  AND PGTO.DATA = VENDA.DATA_VENDA 
							  AND PGTO.TERMINAL = VENDA.TERMINAL 
				  WHERE  DATA = @DATA_VENDA 
						 AND PGTO.CODIGO_FILIAL = @CODIGO_FILIAL 

							 SELECT @QTDE_VENDA_NAO_FINALIZADA =  COUNT(1)
									FROM   #VENDAPGTO 
									WHERE  DATA_VENDA = @DATA_VENDA 
										   AND CODIGO_FILIAL = @CODIGO_FILIAL 
										   AND VENDA_FINALIZADA = 0 
                        
								  								  
						 SELECT @QTDE_VENDA_FINALIZADA = COUNT(1) 
									FROM   #VENDAPGTO 
									WHERE  DATA_VENDA = @DATA_VENDA 
										   AND CODIGO_FILIAL = @CODIGO_FILIAL 
										   AND VENDA_FINALIZADA = 1 


						SELECT @QTDE_VENDA_CANCELADA = COUNT(1)
									FROM   #VENDAPGTO 
									WHERE  DATA_VENDA = @DATA_VENDA 
										   AND CODIGO_FILIAL = @CODIGO_FILIAL 
										   AND MOTIVO_CANCELAMENTO IS NOT NULL 
											OR TOTAL_QTDE_CANCELADA > 0 



				  INSERT INTO #VENDAPRODUTO (CODIGO_FILIAL, DATA_VENDA, QTDE_VENDA_PROD, QTDE_VENDA_PROD_CANC)
				  SELECT LVP.CODIGO_FILIAL, 
						 CONVERT(DATETIME, LVP.DATA_VENDA, 103), 
						 SUM(QTDE)           AS QTDE_VENDA_PROD, 
						 SUM(QTDE_CANCELADA) AS QTDE_VENDA_PROD_CANC 
				  FROM   LOJA_VENDA_PRODUTO LVP 
						 JOIN LOJA_VENDA LV 
						   ON LVP.CODIGO_FILIAL = LV.CODIGO_FILIAL 
							  AND LVP.DATA_VENDA = LV.DATA_VENDA 
							  AND LVP.TICKET = LV.TICKET 
				  WHERE  LVP.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND LVP.DATA_VENDA = @DATA_VENDA 
				  GROUP  BY LVP.CODIGO_FILIAL, 
							LVP.DATA_VENDA 

				SELECT @QTDE_IMPOSTO_SAT = COUNT(*)
				  FROM   LOJA_CF_SAT SAT 
						 JOIN #VENDAPGTO PGTO 
						   ON PGTO.NUMERO_CUPOM_FISCAL = SAT.CF_NUMERO 
							  AND PGTO.CODIGO_FILIAL = SAT.CODIGO_FILIAL 
							  AND PGTO.TERMINAL = SAT.TERMINAL 
							  AND PGTO.LANCAMENTO_CAIXA = SAT.LANCAMENTO_CAIXA 
							  AND PGTO.DATA_VENDA = SAT.EMISSAO 
						 JOIN LOJA_CF_SAT_IMPOSTO SAT_IMPOSTO
						   ON SAT_IMPOSTO.CODIGO_FILIAL = SAT.CODIGO_FILIAL 
						   AND SAT_IMPOSTO.ID_LOJA_CF_SAT = SAT.ID_LOJA_CF_SAT 
				  WHERE  PGTO.DATA_VENDA = @DATA_VENDA 
						 AND PGTO.CODIGO_FILIAL = @CODIGO_FILIAL 
				  GROUP  BY SAT.CODIGO_FILIAL, 
							SAT.EMISSAO  

				  INSERT INTO #SAT 
				  SELECT SAT.CODIGO_FILIAL, 
						 SAT.EMISSAO, 
						 SUM(SAT.VALOR_TOTAL)     AS TOTAL_SAT, 
						 SUM(SAT_ITEM.VALOR_ITEM) AS TOTAL_SAT_ITEM, 
						 SUM(SAT.QTDE_TOTAL)      AS QTDE_ITENS_SAT, 
						 SUM(SAT_ITEM.QTDE_ITEM)  AS QTDE_ITENS_SAT_ITEM, 
						 COUNT(*)                 AS QTDE_LOJA_CF_SAT,
						 @QTDE_IMPOSTO_SAT		  AS QTDE_IMPOSTO_SAT 
				  FROM   LOJA_CF_SAT SAT 
						 JOIN #VENDAPGTO PGTO 
						   ON PGTO.NUMERO_CUPOM_FISCAL = SAT.CF_NUMERO 
							  AND PGTO.CODIGO_FILIAL = SAT.CODIGO_FILIAL 
							  AND PGTO.TERMINAL = SAT.TERMINAL 
							  AND PGTO.LANCAMENTO_CAIXA = SAT.LANCAMENTO_CAIXA 
							  AND PGTO.DATA_VENDA = SAT.EMISSAO 
						 JOIN LOJA_CF_SAT_ITEM SAT_ITEM 
						   ON SAT_ITEM.CODIGO_FILIAL = SAT.CODIGO_FILIAL 
							  AND SAT_ITEM.ID_LOJA_CF_SAT = SAT.ID_LOJA_CF_SAT 
				  WHERE  PGTO.DATA_VENDA = @DATA_VENDA 
						 AND PGTO.CODIGO_FILIAL = @CODIGO_FILIAL 
				  GROUP  BY SAT.CODIGO_FILIAL, 
							SAT.EMISSAO 
		
				  INSERT INTO #OMS 
				  SELECT * 
				  FROM   (SELECT COUNT(*)           AS QTDE_PEDIDOS, 
								 CASE 
								   WHEN TIPO_ENTREGA = 1 THEN ''RESERVE'' 
								   WHEN TIPO_ENTREGA = 2 THEN ''PICKUP'' 
								   WHEN TIPO_ENTREGA = 3 THEN ''SHIP FROM'' 
								   WHEN TIPO_ENTREGA = 4 THEN ''SHIP TO'' 
								   WHEN TIPO_ENTREGA IS NULL THEN ''SHOWROOMING'' 
								 END                AS TIPO_PEDIDO, 
								 LV.CODIGO_FILIAL, 
								 LV.DATA_VENDA, 
								 SUM(LP.FRETE)      AS FRETE_OMS, 
								 SUM(LV.QTDE_TOTAL) AS QTDE_ITEM_LOJA 
						  FROM   LOJA_PEDIDO LP 
								 LEFT JOIN LOJA_PEDIDO_VENDA LPV 
										ON LP.PEDIDO = LPV.PEDIDO 
								 LEFT JOIN LOJA_VENDA LV 
										ON LV.CODIGO_FILIAL = LPV.CODIGO_FILIAL 
										   AND LV.DATA_VENDA = LPV.DATA_VENDA 
										   AND LV.CODIGO_FILIAL = LPV.CODIGO_FILIAL_ORIGEM 
										   AND LV.TICKET = LPV.TICKET 
								 LEFT JOIN LOJA_VENDA_SHOWROOMER LVS 
										ON LP.PEDIDO = LVS.PEDIDO 
										   AND LV.TICKET = LVS.TICKET 
										   AND LV.DATA_VENDA = LVS.DATA_VENDA 
						  WHERE  LPV.DATA_VENDA = @DATA_VENDA 
								 AND LP.CODIGO_FILIAL_ORIGEM = @CODIGO_FILIAL 
								 AND LX_PEDIDO_ORIGEM IN ( 4, 5 ) 
								 AND SITUACAO_OMS NOT IN ( 1, 2, 5, 6 ) 
						  GROUP  BY TIPO_ENTREGA, 
									LV.CODIGO_FILIAL, 
									LV.DATA_VENDA, 
									LP.FRETE, 
									LV.QTDE_TOTAL) EM_LINHA 
						 PIVOT ( SUM(QTDE_PEDIDOS) 
							   FOR TIPO_PEDIDO IN ([RESERVE], 
												   [PICKUP], 
												   [SHIP FROM], 
												   [SHIP TO], 
												   [SHOWROOMING])) OMS 

				  SELECT @TOTALIZADOR_NFCE = SUM(ISNULL(VALOR_TOTAL, 0)), 
						 @QTDE_NFCE = COUNT(1) 
				  FROM   #NF NF 
						 JOIN #SERIENF SERIE 
						   ON NF.SERIE_NF = SERIE.SERIE_NF 
						 JOIN CTB_ESPECIE_SERIE CTB 
						   ON CTB.ESPECIE_SERIE = SERIE.ESPECIE_SERIE 
				  WHERE  CTB.NUMERO_MODELO_FISCAL = ''65'' 

				  SELECT @TOTALIZADOR_NFE = SUM(ISNULL(VALOR_TOTAL, 0)), 
						 @QTDE_NFE = COUNT(1) 
				  FROM   #NF NF 
						 JOIN #SERIENF SERIE 
						   ON NF.SERIE_NF = SERIE.SERIE_NF 
						 JOIN CTB_ESPECIE_SERIE CTB 
						   ON CTB.ESPECIE_SERIE = SERIE.ESPECIE_SERIE 
				  WHERE  CTB.NUMERO_MODELO_FISCAL = ''55'' 

				  DELETE LJ_ETL_DADOS_MONITORIA 
				  WHERE  DATA_MOVIMENTO = @DATA_VENDA 
						 AND CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND ORIGEM = @ORIGEM 


						--RESUMO VENDA PGTO RZ E OMS
				   INSERT INTO #LJ_ETL_DADOS_MONITORIA 
				   SELECT LV.CODIGO_FILIAL                         AS CODIGO_FILIAL, 
						 LV.DATA_VENDA                            AS DATA_MOVIMENTO, 
						 @ORIGEM                                  AS ORIGEM, 
						 GETDATE()                                AS DATA_MONITORIA, 
						 LTRIM(RTRIM(@FILIAL))	                  AS FILIAL,
						 ISNULL(@QTDE_VENDA_FINALIZADA, 0)        AS QTDE_VENDAS_FIN, 
						 ISNULL(@QTDE_VENDA_NAO_FINALIZADA, 0)	  AS QTDE_VENDAS_NAO_FIN, 
						 ISNULL(@QTDE_VENDA_CANCELADA, 0)         AS QTDE_VENDAS_CANC, 
						 0                                        AS QTDE_VENDA_PROD, 
						 0                                        AS QTDE_VENDA_PROD_CANC, 
						 0                                        AS TOTAL_SAT, 
						 0                                        AS TOTAL_SAT_ITEM, 
						 0                                        AS QTDE_ITENS_SAT, 
						 0                                        AS QTDE_ITENS_SAT_ITEM, 
						 0                                        AS QTDE_LOJA_CF_SAT, 
						 0										  AS QTDE_IMPOSTO_SAT,				
						 0                                        AS QTDE_ITENS_NF, 
						 0                                        AS QTDE_ITENS_NF_ITEM, 
						 0                                        AS TOTAL_NF, 
						 0                                        AS TOTAL_NF_ITEM, 
						 0                                        AS QTDE_LOJA_NOTA_FISCAL, 
						 0										  AS QTDE_IMPOSTO_NF,
						 SUM(ISNULL(LV.VALOR_PAGO, 0))            AS TOTAL_VENDA, 
						 SUM(ISNULL(LV.TOTAL_VENDA, 0))           AS TOTAL_PGTO, 
						 SUM(ISNULL(LVP.VALOR, 0))                AS TOTAL_PARCELAS, 
						 SUM(ISNULL(LV.VALOR_TROCA, 0))           AS TOTAL_TROCA, 
						 0                                        AS QTDE_ITENS, 
						 0                                        AS QTDE_ITENS_CANC, 
						 MAX(ISNULL(QTDE_RESERVE, 0))             AS QTDE_RESERVE, 
						 MAX(ISNULL(QTDE_PICKUP, 0))              AS QTDE_PICKUP, 
						 MAX(ISNULL(QTDE_SHIP_FROM, 0))           AS QTDE_SHIP_FROM, 
						 MAX(ISNULL(QTDE_SHIP_TO, 0))             AS QTDE_SHIP_TO, 
						 MAX(ISNULL(QTDE_SHOWROOMING, 0))         AS QTDE_SHOWROOMING, 
						 MAX(ISNULL(QTDE_ITEM_LOJA, 0))           AS OMS_QTDE_ITEM_LOJA, 
						 MAX(ISNULL(FRETE_OMS, 0))                AS OMS_FRETE, 
						 0                                        AS QTDE_SAIDAS, 
						 0                                        AS QTDE_SAIDAS_PRODUTO, 
						 0                                        AS TOTAL_SAIDAS, 
						 0                                        AS TOTAL_SAIDAS_PROD, 
						 0                                        AS QTDE_ITENS_SAIDAS, 
						 0                                        AS QTDE_ITENS_SAIDAS_PRODUTO, 
						 0                                        AS QTDE_ENTRADAS, 
						 0                                        AS QTDE_ENTRADAS_PRODUTO, 
						 0                                        AS TOTAL_ENTRADAS, 
						 0                                        AS TOTAL_ENTRADAS_PROD, 
						 0                                        AS QTDE_ITENS_ENTRADAS, 
						 0                                        AS QTDE_ITENS_ENTRADAS_PRODUTO, 
						 0                                        AS NOTA_NAO_ENVIADA, 
						 0                                        AS AGUARDANDO_ENVIO, 
						 0                                        AS NOTA_REJ_LINX, 
						 0                                        AS AGUARDANDO_RETORNO, 
						 0                                        AS NOTA_REJ_SEFAZ, 
						 0                                        AS NOTA_APROVADA, 
						 0                                        AS AGUARDANDO_CANC, 
						 0                                        AS ERRO_NO_CANC, 
						 0                                        AS AGUARDANDO_INUTI, 
						 0                                        AS ERRO_NA_INUTI, 
						 0                                        AS NOTA_CANCELADA, 
						 0                                        AS NOTA_INUTILIZADA, 
						 0                                        AS NOTA_DENEGADA, 
						 0                                        AS TOTAL_ECF_ITEM, 
						 0                                        AS TOTAL_ECF_ITEM_CANC, 
						 0                                        AS QTDE_ECF_ITEM, 
						 0                                        AS QTDE_ECF_ITEM_CANC, 
						 0                                        AS QTDE_LJ_ECF_ITEM, 
						 ISNULL(RZ.QTDE_RZ, 0)                    AS QTDE_RZ,
		 				 0										  AS QTDE_ABERTURA_CAIXA, 
						 0										  AS QTDE_FECHAMENTO_CAIXA,
						 0										  AS QTDE_LANCAMENTO_CAIXA,
						 0										  AS TOTAL_ENTRADA_CAIXA,
						 0										  AS TOTAL_SAIDA_CAIXA,
						 0										  AS TOTAL_CANCELADO_CAIXA
				  FROM   #VENDAPGTO LV 
						 LEFT JOIN (SELECT  COUNT(1) AS VENDA_NAO_FINALIZADA, 
                               
										   CODIGO_FILIAL, 
										   DATA_VENDA, 
										   LANCAMENTO_CAIXA 
									FROM   #VENDAPGTO 
									WHERE  DATA_VENDA = @DATA_VENDA 
										   AND CODIGO_FILIAL = @CODIGO_FILIAL 
										   AND VENDA_FINALIZADA = 0 
									GROUP  BY CODIGO_FILIAL, 
											  DATA_VENDA, 
											  LANCAMENTO_CAIXA) AS VNF 
								ON LV.CODIGO_FILIAL = VNF.CODIGO_FILIAL 
								   AND LV.LANCAMENTO_CAIXA = VNF.LANCAMENTO_CAIXA 
						 LEFT JOIN (SELECT COUNT(1) AS VENDA_FINALIZADA, 
										   CODIGO_FILIAL, 
										   DATA_VENDA, 
										   LANCAMENTO_CAIXA 
									FROM   #VENDAPGTO 
									WHERE  DATA_VENDA = @DATA_VENDA 
										   AND CODIGO_FILIAL = @CODIGO_FILIAL 
										   AND VENDA_FINALIZADA = 1 
									GROUP  BY CODIGO_FILIAL, 
											  DATA_VENDA, 
											  LANCAMENTO_CAIXA) AS VF 
								ON LV.CODIGO_FILIAL = VF.CODIGO_FILIAL 
								   AND LV.LANCAMENTO_CAIXA = VF.LANCAMENTO_CAIXA 
						 LEFT JOIN (SELECT COUNT(1) AS VENDA_CANCELADA, 
										   CODIGO_FILIAL, 
										   DATA_VENDA, 
										   LANCAMENTO_CAIXA 
									FROM   #VENDAPGTO 
									WHERE  DATA_VENDA = @DATA_VENDA 
										   AND CODIGO_FILIAL = @CODIGO_FILIAL 
										   AND MOTIVO_CANCELAMENTO IS NOT NULL 
											OR TOTAL_QTDE_CANCELADA > 0 
									GROUP  BY CODIGO_FILIAL, 
											  DATA_VENDA, 
											  LANCAMENTO_CAIXA) AS VC 
								ON LV.CODIGO_FILIAL = VC.CODIGO_FILIAL 
								   AND LV.LANCAMENTO_CAIXA = VC.LANCAMENTO_CAIXA 
						 LEFT JOIN (SELECT SUM(VALOR)           AS VALOR, 
										   LVP.CODIGO_FILIAL    AS CODIGO_FILIAL,
										   LVP.TERMINAL         AS TERMINAL, 
										   LVP.LANCAMENTO_CAIXA AS LANCAMENTO_CAIXA 
									FROM   LOJA_VENDA_PARCELAS LVP --OBTER TOTAL SAT  
										   JOIN LOJA_VENDA_PGTO PGTO 
											 ON PGTO.CODIGO_FILIAL = LVP.CODIGO_FILIAL 
												AND PGTO.TERMINAL = LVP.TERMINAL 
												AND PGTO.LANCAMENTO_CAIXA = 
													LVP.LANCAMENTO_CAIXA 
									GROUP  BY LVP.CODIGO_FILIAL, 
											  LVP.LANCAMENTO_CAIXA,
											  LVP.TERMINAL) LVP 
								ON LV.CODIGO_FILIAL = LVP.CODIGO_FILIAL 
								   AND LV.LANCAMENTO_CAIXA = LVP.LANCAMENTO_CAIXA 
								   AND LV.TERMINAL = LVP.TERMINAL
						 LEFT JOIN #RZ RZ 
								ON LV.DATA_VENDA = RZ.DATA_VENDA 
								   AND LV.CODIGO_FILIAL = RZ.CODIGO_FILIAL 
						 LEFT JOIN ( SELECT CODIGO_FILIAL,DATA_VENDA,
												  SUM(FRETE_OMS)        AS FRETE_OMS,
											      SUM(QTDE_RESERVE)     AS QTDE_RESERVE, 
												  SUM(QTDE_PICKUP)      AS QTDE_PICKUP,
												  SUM(QTDE_SHIP_FROM)   AS QTDE_SHIP_FROM,
												  SUM(QTDE_SHIP_TO)     AS QTDE_SHIP_TO,
												  SUM(QTDE_SHOWROOMING) AS QTDE_SHOWROOMING,
												  SUM(QTDE_ITEM_LOJA)   AS QTDE_ITEM_LOJA
												  FROM #OMS 
												  WHERE DATA_VENDA =  @DATA_VENDA 
												  AND CODIGO_FILIAL = @CODIGO_FILIAL
												  GROUP BY CODIGO_FILIAL,DATA_VENDA) OMS 
								   ON LV.CODIGO_FILIAL  = OMS.CODIGO_FILIAL 
								   AND LV.DATA_VENDA    = OMS.DATA_VENDA 
				  WHERE  LV.DATA_VENDA        = @DATA_VENDA 
						 AND LV.CODIGO_FILIAL = @CODIGO_FILIAL 
				  GROUP  BY LV.CODIGO_FILIAL, 
							LV.DATA_VENDA, 
							RZ.QTDE_RZ 
      
		
		
				  UPDATE LJ_ETL 
				  set	 LJ_ETL.QTDE_ABERTURA_CAIXA =  @QTDE_ABERTURA_CAIXA, 
						 LJ_ETL.QTDE_FECHAMENTO_CAIXA = @QTDE_FECHAMENTO_CAIXA,
						 LJ_ETL.QTDE_LANCAMENTO_CAIXA =  @QTDE_LANCAMENTO_CAIXA,
						 LJ_ETL.TOTAL_ENTRADA_CAIXA = @TOTAL_ENTRADA_CAIXA,
						 LJ_ETL.TOTAL_SAIDA_CAIXA = @TOTAL_SAIDA_CAIXA,
						 LJ_ETL.TOTAL_CANCELADO_CAIXA = @TOTAL_CANCELADO_CAIXA	
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL
				   WHERE  LJ_ETL.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 

				  --RESUMO STATUS NF-E NFC-E
				  UPDATE LJ_ETL 
				  SET    LJ_ETL.AGUARDANDO_ENVIO = NFE.AGUARDANDO_ENVIO, 
						 LJ_ETL.NOTA_REJ_LINX = NFE.NOTA_REJ_LINX, 
						 LJ_ETL.AGUARDANDO_RETORNO = NFE.AGUARDANDO_RETORNO, 
						 LJ_ETL.NOTA_REJ_SEFAZ = NFE.NOTA_REJ_SEFAZ, 
						 LJ_ETL.NOTA_APROVADA = NFE.NOTA_APROVADA, 
						 LJ_ETL.AGUARDANDO_CANC = NFE.AGUARDANDO_CANC, 
						 LJ_ETL.ERRO_NO_CANC = NFE.ERRO_NO_CANC, 
						 LJ_ETL.AGUARDANDO_INUTI = NFE.AGUARDANDO_INUTI, 
						 LJ_ETL.ERRO_NA_INUTI = NFE.ERRO_NA_INUTI, 
						 LJ_ETL.NOTA_CANCELADA = NFE.NOTA_CANCELADA, 
						 LJ_ETL.NOTA_INUTILIZADA = NFE.NOTA_INUTILIZADA, 
						 LJ_ETL.NOTA_DENEGADA = NFE.NOTA_DENEGADA 
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL 
						 JOIN (SELECT CODIGO_FILIAL, 
									  EMISSAO, 
									  ISNULL(AGUARDANDO_ENVIO, 0)   AGUARDANDO_ENVIO, 
									  ISNULL(NOTA_REJ_LINX, 0)      NOTA_REJ_LINX, 
									  ISNULL(AGUARDANDO_RETORNO, 0) AGUARDANDO_RETORNO, 
									  ISNULL(NOTA_REJ_SEFAZ, 0)     NOTA_REJ_SEFAZ, 
									  ISNULL(NOTA_APROVADA, 0)      NOTA_APROVADA, 
									  ISNULL(AGUARDANDO_CANC, 0)    AGUARDANDO_CANC, 
									  ISNULL(ERRO_NO_CANC, 0)       ERRO_NO_CANC, 
									  ISNULL(AGUARDANDO_INUTI, 0)   AGUARDANDO_INUTI, 
									  ISNULL(ERRO_NA_INUTI, 0)      ERRO_NA_INUTI, 
									  ISNULL(NOTA_CANCELADA, 0)     NOTA_CANCELADA, 
									  ISNULL(NOTA_INUTILIZADA, 0)   NOTA_INUTILIZADA, 
									  ISNULL(NOTA_DENEGADA, 0)      NOTA_DENEGADA 
							   FROM   (SELECT COUNT(*) AS QTDE_NFE, 
											  CASE 
												WHEN STATUS_NFE = 1 THEN ''NOTA N?O ENVIADA'' 
												WHEN STATUS_NFE = 2 
													 AND LOG_STATUS_NFE = 0 THEN 
												''AGUARDANDO_ENVIO'' 
												WHEN STATUS_NFE = 2 
													 AND LOG_STATUS_NFE = 99 THEN 
												''NOTA_REJ_LINX'' 
												WHEN STATUS_NFE = 3 
													 AND LOG_STATUS_NFE = 0 THEN 
												''AGUARDANDO_RETORNO'' 
												WHEN STATUS_NFE = 4 
													 AND LOG_STATUS_NFE = 99 THEN 
												''NOTA_REJ_SEFAZ'' 
												WHEN STATUS_NFE = 5 THEN ''NOTA_APROVADA'' 
												WHEN STATUS_NFE = 42 
													 AND LOG_STATUS_NFE = 0 THEN 
												''AGUARDANDO_CANC'' 
												WHEN STATUS_NFE = 42 
													 AND LOG_STATUS_NFE = 99 THEN 
												''ERRO_NO_CANC'' 
												WHEN STATUS_NFE = 52 
													 AND LOG_STATUS_NFE = 0 THEN 
												''AGUARDANDO_INUTI'' 
												WHEN STATUS_NFE = 52 
													 AND LOG_STATUS_NFE = 99 THEN 
												''ERRO_NA_INUTI'' 
												WHEN STATUS_NFE = 49 
													 AND LOG_STATUS_NFE = 00 THEN 
												''NOTA_CANCELADA'' 
												WHEN STATUS_NFE = 59 
													 AND LOG_STATUS_NFE = 0 THEN 
												''NOTA_INUTILIZADA'' 
												WHEN STATUS_NFE = 70 
													 AND LOG_STATUS_NFE = 0 THEN 
												''NOTA_DENEGADA'' 
											  END      AS STATUS_NOTA, 
											  CODIGO_FILIAL, 
											  EMISSAO 
									   FROM   #NF 
											  JOIN #SERIENF SERIE 
												ON #NF.SERIE_NF = SERIE.SERIE_NF 
											  JOIN CTB_ESPECIE_SERIE CTB 
												ON CTB.ESPECIE_SERIE = SERIE.ESPECIE_SERIE 
									   WHERE  CODIGO_FILIAL = @CODIGO_FILIAL 
											  AND EMISSAO = @DATA_VENDA 
											  AND CTB.NUMERO_MODELO_FISCAL IN ( ''55'', ''65'' ) 
									   GROUP  BY CODIGO_FILIAL, 
												 EMISSAO, 
												 STATUS_NFE, 
												 LOG_STATUS_NFE) EM_LINHA 
									  PIVOT ( SUM(QTDE_NFE) 
											FOR STATUS_NOTA IN ([AGUARDANDO_ENVIO], 
																[NOTA_REJ_LINX], 
																[AGUARDANDO_RETORNO], 
																[NOTA_REJ_SEFAZ], 
																[NOTA_APROVADA], 
																[AGUARDANDO_CANC], 
																[ERRO_NO_CANC], 
																[AGUARDANDO_INUTI], 
																[ERRO_NA_INUTI], 
																[NOTA_CANCELADA], 
																[NOTA_INUTILIZADA], 
																[NOTA_DENEGADA] ) ) NFE) NFE 
						   ON LJ_ETL.CODIGO_FILIAL = NFE.CODIGO_FILIAL 
							  AND LJ_ETL.DATA_MOVIMENTO = NFE.EMISSAO 
				  WHERE  LJ_ETL.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 

						 --RESUMO LOJA_VENDA_PRODUTO
				  UPDATE LJ_ETL 
				  SET    LJ_ETL.QTDE_VENDA_PROD = VP.QTDE_VENDA_PROD, 
						 LJ_ETL.QTDE_VENDA_PROD_CANC = VP.QTDE_VENDA_PROD_CANC 
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL 
						 JOIN #VENDAPRODUTO VP 
						   ON LJ_ETL.CODIGO_FILIAL = VP.CODIGO_FILIAL 
							  AND LJ_ETL.DATA_MOVIMENTO = VP.DATA_VENDA 
				  WHERE  LJ_ETL.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 

						 --RESUMO SAIDAS
				  UPDATE LJ_ETL 
				  SET    LJ_ETL.TOTAL_SAIDAS = SAIDAS.TOTAL_SAIDAS, 
						 LJ_ETL.TOTAL_SAIDAS_PROD = SAIDAS.TOTAL_SAIDAS_PROD, 
						 LJ_ETL.QTDE_ITENS_SAIDAS = SAIDAS.QTDE_ITENS_SAIDAS, 
						 LJ_ETL.QTDE_ITENS_SAIDAS_PRODUTO = SAIDAS.QTDE_ITENS_SAIDAS_PRODUTO,
						 lj_etl.QTDE_SAIDAS = SAIDAS.QTDE_SAIDAS,
						 LJ_ETL.QTDE_SAIDAS_PRODUTO = SAIDAS.QTDE_SAIDAS_PRODUTO 
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL 
						 JOIN(SELECT 
									 A.FILIAL, 
									 EMISSAO, 
									 (SELECT COUNT(1) 
									  FROM   LOJA_SAIDAS 
									  WHERE  EMISSAO = @DATA_VENDA 
											 and filial = @FILIAL
											 and SAIDA_ENCERRADA = 1) AS QTDE_SAIDAS, 
									 COUNT(*) AS QTDE_SAIDAS_PRODUTO , 
									 (SELECT SUM( 
									 VALOR_TOTAL) 
									  FROM   LOJA_SAIDAS 
									  WHERE  EMISSAO = @DATA_VENDA 
											 and FILIAL = @FILIAL
											 and SAIDA_ENCERRADA = 1) AS TOTAL_SAIDAS, 
									 SUM(VALOR) AS TOTAL_SAIDAS_PROD , 
									 (SELECT SUM(QTDE_TOTAL) 
									  FROM   LOJA_SAIDAS 
									  WHERE  EMISSAO = @DATA_VENDA 
									  and filial = @filial
									  and SAIDA_ENCERRADA = 1) AS QTDE_ITENS_SAIDAS, 
									  SUM(QTDE_SAIDA) AS QTDE_ITENS_SAIDAS_PRODUTO 
							  FROM   LOJA_SAIDAS A 
									 JOIN LOJA_SAIDAS_PRODUTO D 
									 ON A.ROMANEIO_PRODUTO = D.ROMANEIO_PRODUTO 
									 AND A.FILIAL = D.FILIAL 
							  WHERE  EMISSAO = @DATA_VENDA 
									 and a.filial = @filial
									 and SAIDA_ENCERRADA = 1
							  GROUP  BY A.FILIAL, 
										EMISSAO) AS SAIDAS 
						   ON LJ_ETL.FILIAL = SAIDAS.FILIAL 
							  AND LJ_ETL.DATA_MOVIMENTO = SAIDAS.EMISSAO 
				  WHERE  LJ_ETL.FILIAL = @FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 

						 --RESUMO ENTRADAS
				  UPDATE LJ_ETL 
				  SET    LJ_ETL.TOTAL_ENTRADAS = ENTRADAS.TOTAL_ENTRADAS, 
						 LJ_ETL.TOTAL_ENTRADAS_PROD = ENTRADAS.TOTAL_ENTRADAS_PROD, 
						 LJ_ETL.QTDE_ITENS_ENTRADAS = ENTRADAS.QTDE_ITENS_ENTRADAS, 
						 LJ_ETL.QTDE_ITENS_ENTRADAS_PRODUTO = ENTRADAS.QTDE_ITENS_ENTRADAS_PRODUTO ,
						 lj_etl.QTDE_ENTRADAS = ENTRADAS.QTDE_ENTRADAS,
						 lj_etl.QTDE_ENTRADAS_PRODUTO = ENTRADAS.QTDE_ENTRADAS_PRODUTO
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL 
						 JOIN (SELECT 
									  A.FILIAL, 
									  EMISSAO, 
									  (SELECT COUNT(1) 
									   FROM   LOJA_ENTRADAS 
									   WHERE  EMISSAO = @DATA_VENDA 
											 and filial = @filial
											 and ENTRADA_ENCERRADA = 1) AS  QTDE_ENTRADAS, 
									  COUNT(*) AS  QTDE_ENTRADAS_PRODUTO , 
									  (SELECT SUM(VALOR_TOTAL) 
									   FROM   LOJA_ENTRADAS 
											  where EMISSAO = @DATA_VENDA 
											 and filial = @filial
											 and ENTRADA_ENCERRADA = 1) AS TOTAL_ENTRADAS, 
									  SUM(VALOR) AS  TOTAL_ENTRADAS_PROD , 
									  (SELECT SUM(QTDE_TOTAL) 
									   FROM   LOJA_ENTRADAS 
											  where EMISSAO = @DATA_VENDA 
											 and filial = @filial
											 and ENTRADA_ENCERRADA = 1) AS QTDE_ITENS_ENTRADAS, 
									  SUM(QTDE_ENTRADA)  AS QTDE_ITENS_ENTRADAS_PRODUTO 
							   FROM   LOJA_ENTRADAS A 
									  JOIN LOJA_ENTRADAS_PRODUTO D 
										ON A.ROMANEIO_PRODUTO = D.ROMANEIO_PRODUTO 
										   AND A.FILIAL = D.FILIAL 
							   WHERE  A.EMISSAO = @DATA_VENDA 
									  AND A.FILIAL = @FILIAL 
									  and ENTRADA_ENCERRADA = 1
							   GROUP  BY A.FILIAL, A.EMISSAO) ENTRADAS 
						   ON LJ_ETL.FILIAL = ENTRADAS.FILIAL 
							  AND LJ_ETL.DATA_MOVIMENTO = ENTRADAS.EMISSAO 
				  WHERE  LJ_ETL.FILIAL = @FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 
			 
						 --RESUMO SAT
				  UPDATE LJ_ETL 
				  SET    LJ_ETL.TOTAL_SAT = SAT.TOTAL_SAT, 
						 LJ_ETL.TOTAL_SAT_ITEM = SAT.TOTAL_SAT_ITEM, 
						 LJ_ETL.QTDE_ITENS_SAT = SAT.QTDE_ITENS_SAT, 
						 LJ_ETL.QTDE_ITENS_SAT_ITEM = SAT.QTDE_ITENS_SAT_ITEM, 
						 LJ_ETL.QTDE_LOJA_CF_SAT = SAT.QTDE_LOJA_CF_SAT, 
						 LJ_ETL.QTDE_IMPOSTO_SAT = SAT.QTDE_IMPOSTO_SAT
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL 
						 JOIN #SAT SAT 
						   ON LJ_ETL.CODIGO_FILIAL = SAT.CODIGO_FILIAL 
							  AND LJ_ETL.DATA_MOVIMENTO = SAT.EMISSAO 
				  WHERE  LJ_ETL.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 

						--RESUMO NF-E E NFC-E
				  UPDATE LJ_ETL 
				  SET    LJ_ETL.TOTAL_NF = NF_RESUMO.TOTAL_NF, 
						 LJ_ETL.TOTAL_NF_ITEM = NF_RESUMO.TOTAL_NF_ITEM, 
						 LJ_ETL.QTDE_ITENS_NF = NF_RESUMO.QTDE_ITENS_NF, 
						 LJ_ETL.QTDE_ITENS_NF_ITEM = NF_RESUMO.QTDE_ITENS_NF_ITEM, 
						 LJ_ETL.QTDE_LOJA_NOTA_FISCAL = NF_RESUMO.QTDE_LOJA_NOTA_FISCAL,
						 LJ_ETL.QTDE_IMPOSTO_NF = NF_RESUMO.QTDE_IMPOSTO_NF 
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL 
						 JOIN #NF_RESUMO NF_RESUMO 
						   ON LJ_ETL.CODIGO_FILIAL = NF_RESUMO.CODIGO_FILIAL 
							  AND LJ_ETL.DATA_MOVIMENTO = NF_RESUMO.EMISSAO 
						 JOIN #NF NF 
						   ON NF.CODIGO_FILIAL = NF_RESUMO.CODIGO_FILIAL 
							  AND NF.EMISSAO = NF_RESUMO.EMISSAO 
						 JOIN #SERIENF SERIE 
						   ON NF.SERIE_NF = SERIE.SERIE_NF 
						 JOIN CTB_ESPECIE_SERIE CTB 
						   ON CTB.ESPECIE_SERIE = SERIE.ESPECIE_SERIE 
				  WHERE  LJ_ETL.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 
						 AND CTB.NUMERO_MODELO_FISCAL IN( ''55'', ''65'' ) 


				  --RESUMO ECF
				  UPDATE LJ_ETL 
				  SET    LJ_ETL.TOTAL_ECF_ITEM = ISNULL(DOC_FISCAL.TOTAL_ECF_ITEM,0), 
						 LJ_ETL.TOTAL_ECF_ITEM_CANC = ISNULL(DOC_FISCAL.TOTAL_ECF_ITEM_CANC,0), 
						 LJ_ETL.QTDE_ECF_ITEM = ISNULL(DOC_FISCAL.QTDE_ECF_ITEM,0), 
						 LJ_ETL.QTDE_ECF_ITEM_CANC = ISNULL(DOC_FISCAL.QTDE_ECF_ITEM_CANC,0), 
						 LJ_ETL.QTDE_LJ_ECF_ITEM = ISNULL(DOC_FISCAL.QTDE_LJ_ECF_ITEM,0) 
				  FROM   #LJ_ETL_DADOS_MONITORIA LJ_ETL 
						 JOIN (SELECT SUM(VALOR_UNIT) AS TOTAL_ECF_ITEM, 
									  SUM(VALOR_CANC) AS TOTAL_ECF_ITEM_CANC, 
									  SUM(QTDE)       AS QTDE_ECF_ITEM, 
									  SUM(QTDE_CANC)  AS QTDE_ECF_ITEM_CANC, 
									  COUNT(*)        QTDE_LJ_ECF_ITEM, 
									  PGTO.CODIGO_FILIAL, 
									  PGTO.DATA_VENDA 
							   FROM   LJ_ECF_ITEM DOC_ITEM 
									  JOIN LJ_DOCUMENTO_ECF DOC 
										ON DOC.ID_EQUIPAMENTO = DOC_ITEM.SERIE_ECF 
										   AND DOC.COO = DOC_ITEM.COO 
										   AND DOC.CODIGO_FILIAL = DOC_ITEM.CODIGO_FILIAL 
									  JOIN #VENDAPGTO PGTO 
										ON PGTO.ID_EQUIPAMENTO = DOC.ID_EQUIPAMENTO 
										   AND PGTO.NUMERO_CUPOM_FISCAL = DOC.COO 
										   AND PGTO.CODIGO_FILIAL = DOC.CODIGO_FILIAL 
							   WHERE  DOC.CODIGO_FILIAL = @CODIGO_FILIAL 
									  AND DOC.DATA_FISCAL = @DATA_VENDA 
							   GROUP  BY PGTO.CODIGO_FILIAL, 
										 PGTO.DATA_VENDA) DOC_FISCAL 
						   ON LJ_ETL.CODIGO_FILIAL = DOC_FISCAL.CODIGO_FILIAL 
							  AND LJ_ETL.DATA_MOVIMENTO = DOC_FISCAL.DATA_VENDA 
				  WHERE  LJ_ETL.CODIGO_FILIAL = @CODIGO_FILIAL 
						 AND LJ_ETL.DATA_MOVIMENTO = @DATA_VENDA 

					insert into LJ_ETL_DADOS_MONITORIA  (
				CODIGO_FILIAL,
				DATA_MOVIMENTO,
				ORIGEM,
				DATA_MONITORIA,
				FILIAL,
				QTDE_VENDAS_FIN,
				QTDE_VENDAS_NAO_FIN,
				QTDE_VENDAS_CANC,
				QTDE_VENDA_PROD,
				QTDE_VENDA_PROD_CANC,
				QTDE_ITENS_SAT,
				QTDE_ITENS_SAT_ITEM,
				TOTAL_SAT,
				TOTAL_SAT_ITEM,
				QTDE_LOJA_CF_SAT,
				QTDE_IMPOSTO_SAT,
				QTDE_ITENS_NF,
				QTDE_ITENS_NF_ITEM,
				TOTAL_NF,
				TOTAL_NF_ITEM,
				QTDE_LOJA_NOTA_FISCAL,
				QTDE_IMPOSTO_NF,
				TOTAL_VENDA,
				TOTAL_PGTO,
				TOTAL_PARCELAS,
				TOTAL_TROCA,
				QTDE_ITENS,
				QTDE_ITENS_CANC,
				QTDE_RESERVE,
				QTDE_PICKUP,
				QTDE_SHIP_FROM,
				QTDE_SHIP_TO,
				QTDE_SHOWROOMING,
				OMS_QTDE_ITEM_LOJA,
				OMS_FRETE,
				QTDE_SAIDAS,
				QTDE_SAIDAS_PRODUTO,
				TOTAL_SAIDAS,
				TOTAL_SAIDAS_PROD,
				QTDE_ITENS_SAIDAS,
				QTDE_ITENS_SAIDAS_PRODUTO,
				QTDE_ENTRADAS,
				QTDE_ENTRADAS_PRODUTO,
				TOTAL_ENTRADAS,
				TOTAL_ENTRADAS_PROD,
				QTDE_ITENS_ENTRADAS,
				QTDE_ITENS_ENTRADAS_PRODUTO,
				NOTA_NAO_ENVIADA,
				AGUARDANDO_ENVIO,
				NOTA_REJ_LINX,
				AGUARDANDO_RETORNO,
				NOTA_REJ_SEFAZ,
				NOTA_APROVADA,
				AGUARDANDO_CANC,
				ERRO_NO_CANC,
				AGUARDANDO_INUTI,
				ERRO_NA_INUTI,
				NOTA_CANCELADA,
				NOTA_INUTILIZADA,
				NOTA_DENEGADA,
				TOTAL_ECF_ITEM,
				TOTAL_ECF_ITEM_CANC,
				QTDE_ECF_ITEM,
				QTDE_ECF_ITEM_CANC,
				QTDE_LJ_ECF_ITEM,
				QTDE_RZ,
				QTDE_ABERTURA_CAIXA, 
				QTDE_FECHAMENTO_CAIXA,
				QTDE_LANCAMENTO_CAIXA,
				TOTAL_ENTRADA_CAIXA,
				TOTAL_SAIDA_CAIXA,
				TOTAL_CANCELADO_CAIXA	)
			select 
				[CODIGO_FILIAL],
				[DATA_MOVIMENTO],
				[ORIGEM],
				[DATA_MONITORIA],
				[FILIAL],
				[QTDE_VENDAS_FIN],
				[QTDE_VENDAS_NAO_FIN],
				[QTDE_VENDAS_CANC],
				[QTDE_VENDA_PROD],
				[QTDE_VENDA_PROD_CANC],
				[QTDE_ITENS_SAT],
				[QTDE_ITENS_SAT_ITEM],
				[TOTAL_SAT],
				[TOTAL_SAT_ITEM],
				[QTDE_LOJA_CF_SAT],
				[QTDE_IMPOSTO_SAT],
				[QTDE_ITENS_NF],
				[QTDE_ITENS_NF_ITEM],
				[TOTAL_NF],
				[TOTAL_NF_ITEM],
				[QTDE_LOJA_NOTA_FISCAL],
				[QTDE_IMPOSTO_NF],
				[TOTAL_VENDA],
				[TOTAL_PGTO],
				[TOTAL_PARCELAS],
				[TOTAL_TROCA],
				[QTDE_ITENS],
				[QTDE_ITENS_CANC],
				[QTDE_RESERVE],
				[QTDE_PICKUP],
				[QTDE_SHIP_FROM],
				[QTDE_SHIP_TO],
				[QTDE_SHOWROOMING],
				[OMS_QTDE_ITEM_LOJA],
				[OMS_FRETE],
				[QTDE_SAIDAS],
				[QTDE_SAIDAS_PRODUTO],
				[TOTAL_SAIDAS],
				[TOTAL_SAIDAS_PROD],
				[QTDE_ITENS_SAIDAS],
				[QTDE_ITENS_SAIDAS_PRODUTO],
				[QTDE_ENTRADAS],
				[QTDE_ENTRADAS_PRODUTO],
				[TOTAL_ENTRADAS],
				[TOTAL_ENTRADAS_PROD],
				[QTDE_ITENS_ENTRADAS],
				[QTDE_ITENS_ENTRADAS_PRODUTO],
				[NOTA_NAO_ENVIADA],
				[AGUARDANDO_ENVIO],
				[NOTA_REJ_LINX],
				[AGUARDANDO_RETORNO],
				[NOTA_REJ_SEFAZ],
				[NOTA_APROVADA],
				[AGUARDANDO_CANC],
				[ERRO_NO_CANC],
				[AGUARDANDO_INUTI],
				[ERRO_NA_INUTI],
				[NOTA_CANCELADA],
				[NOTA_INUTILIZADA],
				[NOTA_DENEGADA],
				[TOTAL_ECF_ITEM],
				[TOTAL_ECF_ITEM_CANC],
				[QTDE_ECF_ITEM],
				[QTDE_ECF_ITEM_CANC],
				[QTDE_LJ_ECF_ITEM],
				[QTDE_RZ],
				[QTDE_ABERTURA_CAIXA], 
				[QTDE_FECHAMENTO_CAIXA],
				[QTDE_LANCAMENTO_CAIXA],
				[TOTAL_ENTRADA_CAIXA],
				[TOTAL_SAIDA_CAIXA],
				[TOTAL_CANCELADO_CAIXA]
				 from #LJ_ETL_DADOS_MONITORIA

				 Drop Table #LJ_ETL_DADOS_MONITORIA

			  END 
			')